SYSTEMD-SYSTEM-UPDATE-GENERATOR(8)

NAME
systemd-system-update-generator - Generator for redirecting boot to offline update mode

SYNOPSIS

/usr/lib/systemd/system-generators/systemd-system-update-generator

DESCRIPTION

systemd-system-update-generator is a generator that automatically redirects the boot process to system-update.target if /system-update exists. This is required to implement the logic explained in the System Updates Specification[1].

systemd-system-update-generator implements the generator specification[2].

SEE ALSO

systemd(1), systemd.special(7)

NOTES

1.  System Updates Specification
    http://freedesktop.org/wiki/Software/systemd/SystemUpdates

2.  generator specification
    http://www.freedesktop.org/wiki/Software/systemd/Generators